<?php
/**
 * @package    Internals
 * @since      1.7.0
 * @version    1.7.0
 */

// Avoid direct calls to this file.
if ( ! class_exists( 'WPSEO_Video_Sitemap' ) ) {
	header( 'Status: 403 Forbidden' );
	header( 'HTTP/1.1 403 Forbidden' );
	exit();
}


if ( ! class_exists( 'WPSEO_Video_Details_Kavimo' ) ) {

	/**
	 * Class WPSEO_Video_Details_Kavimo
	 */
	class WPSEO_Video_Details_Kavimo extends WPSEO_Video_Details {


		protected $remote_url = array(
			'pattern'       => 'https://kavimo.com/oembed-provider/json?url=%s',
			'replace_key'   => 'url',
			'response_type' => 'json',
		);
		

		protected function set_player_loc() {
			$this->vid['url'] = rtrim(preg_replace('/\/(iframe|popup|view|embed)/','',$this->vid['url']),'/');
			preg_match('/[0-9a-z]{12}$/', $this->vid['url'], $matches);
			$this->vid['id'] = end($matches);

			$this->vid['player_loc'] = $this->vid['url'] . '/view';
		}
		/**
		 * Set the thumbnail location
		 */
		protected function set_thumbnail_loc() {
			$this->set_thumbnail_loc_from_json_object();
		}

		/**
		 * Set the video duration
		 */
		protected function set_duration() {
			$this->set_duration_from_json_object();
		}


		/**
		 * Set the video height
		 */
		protected function set_height() {
			$this->set_height_from_json_object();
		}

		/**
		 * Set the video width
		 */
		protected function set_width() {
			$this->set_width_from_json_object();
		}

	}

}
